/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Christian Eichinger <ce@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include "pppsettings.h"

	int PPPSettings::getConfiguration()
	{
		return readNumEntry("/ppp/configuration");
	}

	bool PPPSettings::setConfiguration(int value)
	{
		return writeEntry("/ppp/configuration", value);
	}

	int  PPPSettings::getConnectionType()
	{
		return readNumEntry("/ppp/connectiontype");
	}

	bool PPPSettings::setConnectionType(int value)
	{
		return writeEntry("/ppp/connectiontype", value);
	}
	
	bool PPPSettings::getCustomDNSEnabled()
	{
		return readBoolEntry("/ppp/customdnsenabled");
	}

	bool PPPSettings::setCustomDNSEnabled(bool value)
	{
		return writeEntry("/ppp/customdnsenabled", value);
	}
	
	QString PPPSettings::getPrimaryDNS()
	{
		return readEntry("/ppp/primarydns");
	}

	bool PPPSettings::setPrimaryDNS(const QString& value)
	{
		return writeEntry("/ppp/primarydns", value);
	}
	
	QString PPPSettings::getSecondaryDNS()
	{
		return readEntry("/ppp/secondarydns");
	}

	bool PPPSettings::setSecondaryDNS(const QString& value)
	{
		return writeEntry("/ppp/secondarydns", value);
	}
	
	QString PPPSettings::getAccountID()
	{
		return readEntry("/ppp/accountid");
	}

	bool PPPSettings::setAccountID(const QString& value)
	{
		return writeEntry("/ppp/accountid", value);
	}
	
	QString PPPSettings::getPassword()
	{
		return readEntry("/ppp/password");
	}

	bool PPPSettings::setPassword(const QString& value)
	{
		return writeEntry("/ppp/password", value);
	}
	
	QString PPPSettings::getModemIP()
	{
		return readEntry("/ppp/modemip");
	}

	bool PPPSettings::setModemIP(const QString& value)
	{
		return writeEntry("/ppp/modemip", value);
	}

	QString PPPSettings::getNetworkDevice()
	{
		return readEntry("/ppp/networkdevice");
	}

	bool PPPSettings::setNetworkDevice(const QString& value)
	{
		return writeEntry("/ppp/networkdevice", value);
	}

